(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/http'), require('base-api-service')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core', '@angular/http', 'base-api-service'], factory) :
	(factory((global.ng = global.ng || {}, global.ng.nestApiService = global.ng.nestApiService || {}),global.ng.core,global._angular_http,global.baseApiService));
}(this, (function (exports,_angular_core,_angular_http,baseApiService) { 'use strict';

var __extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var HeroApiService = (function (_super) {
    __extends(HeroApiService, _super);
    function HeroApiService(http, apiConfig) {
        var _this = _super.call(this, http) || this;
        _this.http = http;
        _this.apiConfig = apiConfig;
        return _this;
    }
    HeroApiService.prototype.getServiceUrl = function () {
        return baseApiService.CommonUtil.getApiUrl('HEROES_SERVICE_URL', this.apiConfig);
    };
    HeroApiService.decorators = [
        { type: _angular_core.Injectable },
    ];
    /** @nocollapse */
    HeroApiService.ctorParameters = function () { return [
        { type: _angular_http.Http, },
        { type: baseApiService.ApiConfig, decorators: [{ type: _angular_core.Inject, args: ['api.config',] },] },
    ]; };
    return HeroApiService;
}(baseApiService.BaseApiService));

var NestApiServiceModule = (function () {
    function NestApiServiceModule() {
    }
    NestApiServiceModule.decorators = [
        { type: _angular_core.NgModule, args: [{
                    providers: [HeroApiService]
                },] },
    ];
    /** @nocollapse */
    NestApiServiceModule.ctorParameters = function () { return []; };
    return NestApiServiceModule;
}());

var Hero = (function () {
    function Hero(id, name, editorial, image) {
        this.id = id;
        this.name = name;
        this.editorial = editorial;
        this.image = image;
    }
    return Hero;
}());

(function (Editorial) {
    Editorial[Editorial["MARVEL"] = 1] = "MARVEL";
    Editorial[Editorial["DC"] = 2] = "DC";
    Editorial[Editorial["UNKNOWN"] = -1] = "UNKNOWN";
})(exports.Editorial || (exports.Editorial = {}));

/**
 * @module
 * @description
 * Entry point for all public APIs of the Angular Module
 */

exports.NestApiServiceModule = NestApiServiceModule;
exports.HeroApiService = HeroApiService;
exports.Hero = Hero;

Object.defineProperty(exports, '__esModule', { value: true });

})));
